Package Details: python-shiboken 1.2.4-7

Git Clone URL: https://aur.archlinux.org/shiboken.git (read-only, click to copy)
Package Base: shiboken
Description: Support library for Python bindings
Upstream URL: http://www.pyside.org
Licenses: LGPL
Submitter: arojas
Maintainer: adsun
Last Packager: adsun
Votes: 8
Popularity: 0.38
First Submitted: 2018-08-21 10:44
Last Updated: 2019-11-22 16:27

Latest Comments

1 2 3 Next › Last »

adsun commented on 2020-03-30 17:29

@obelix1502 try building in a clean chroot instead of using yay. AUR helpers are not supported.

obelix1502 commented on 2020-03-30 16:01

Error in build:make [2]: [shibokenmodule/CMakeFiles/shibokenmodule.dir/build.make:79: shibokenmodule/shiboken/shiboken_module_wrapper.cpp] Segmentation error (core dump created) make[2]: exit the directory " /home/obelix1502/.cache/yay/shiboken/src/Shiboken-1.2.4/build-py2 ". make [1]: [CMakeFiles/Makefile2:353: shibokenmodule/CMakeFiles/shibokenmodule.dir/all] Error 2 make[1]: exit the directory " /home/obelix1502/.cache/yay/shiboken/src/Shiboken-1.2.4/build-py2 ". make: ** [Makefile:147: all] Error 2 ==> ERROR: An error occurred in build().

I've icu 65.1-3 and qt4 4.8.7-29.1

adsun commented on 2020-03-06 19:22

@kunda Rebuild qt4 from the AUR whenever icu is updated in the main repo. Then build shiboken.

qt4 used to be in the main repo but was moved back to the AUR due to being deprecated over qt5.

Kunda commented on 2020-03-06 18:29

This builds fine as long as you rebuild qt4 whenever icu is updated.

@adsun how do I do that?

adsun commented on 2020-03-05 13:23

@tuxutku This builds fine as long as you rebuild qt4 whenever icu is updated.

tuxutku commented on 2020-03-03 14:30

So in shiboken repo there is a bad cmake file needs to be changed. I made a pull request to the repo years ago but since its abandoned it never accepted. https://github.com/pyside/Shiboken/pull/88 this should fix the dir issue in cmake

berilac commented on 2020-02-29 13:28

@Tio I second this issue. I've been unable to ascertain the cause. I'm assuming the installed version (as I do have /usr/lib/libicui18n.so.65.1) is perhaps too new for this build

edit: sorry, just noticed this comment - https://aur.archlinux.org/pkgbase/shiboken/#comment-718670 Guess I'll have to try rebuilding qt4 first...

Tio commented on 2019-12-11 02:47

Error:

[ 96%] Running generator for 'shiboken'...
Unable to load library icui18n "Cannot load library icui18n: (icui18n: cannot open shared object file: No such file or directory)" 
Detecting inconsistencies in typesystem...   [OK]
make[2]: *** [shibokenmodule/CMakeFiles/shibokenmodule.dir/build.make:62: shibokenmodule/shiboken/shiboken_module_wrapper.cpp] Segmentation fault (core dumped)
make[1]: *** [CMakeFiles/Makefile2:363: shibokenmodule/CMakeFiles/shibokenmodule.dir/all] Error 2
make: *** [Makefile:130: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

Agafron commented on 2019-12-01 15:27

Hi! don`t make package https://pastebin.com/DpzHxVh4

adsun commented on 2019-11-29 15:13

@jerome2016 you should rebuild qt4 against the latest version of icu.